%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Summary:	A tool to migrate changesets between several version control systems
Name:		tailor
Version:	0.9.35
Release:	4%{?dist}
Source0:	http://darcs.arstecnica.it/%{name}-%{version}.tar.gz
License:	GPLv3+
Group:		Development/Tools
Url:		http://progetti.arstecnica.it/tailor
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	python-devel
Requires:	python-vcpx = %{version}-%{release}
BuildArch:	noarch
Patch0:		tailor-test.patch
# https://bugzilla.redhat.com/show_bug.cgi?id=477148
# http://progetti.arstecnica.it/tailor/ticket/172
Patch1:		tailor-0.9.35-mercurial-1.1-compat.patch
# https://bugzilla.redhat.com/show_bug.cgi?id=478841
Patch2:		tailor-0.9.35-mercurial-1.1.2-delete.patch

%description
Tailor is a tool to migrate changesets between CVS, Subversion, git,
darcs, monotone, Codeville, Mercurial and Baazar-NG repositories.

This script makes it easier to keep the upstream changes merged in
a branch of a product, storing needed information such as the upstream
URI and revision in special properties on the branched directory.

%package -n python-vcpx
Summary:	Version Control Patch eXchanger
Group:		Development/Libraries
Requires:	cvs, subversion, cogito, tla, bazaar, monotone, git-core
Requires:	mercurial >= 1.1.2

%description -n python-vcpx
This is the package `vcpx` (pronounced "veeseepex").  It encapsulates
the machinery needed to keep the patches in sync across different VC
systems.


%prep
%setup -q 
%patch0
%patch1 -p1 -b .hg-1.1-compat
%patch2 -p1 -b .hg-1.1.2-delete

# remove the shebang line
sed -i -e '1d' vcpx/repository/p4/p4lib.py


%build
# nothing to do

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files 
%defattr(-,root,root,-)
%doc COPYING README.html
%{_bindir}/%{name}

%files -n python-vcpx
%defattr(-,root,root,-)
%{python_sitelib}/*


%changelog
* Tue Jan  6 2009 Dan Horák <dan[at]danny.cz> 0.9.35-4
- add patch for compatibility with mercurial 1.1.2 by Daniel P. Berrange (Resolves: #478841)

* Fri Dec 19 2008 Dan Horák <dan[at]danny.cz> 0.9.35-3
- add patch for compatibility with mercurial 1.1 by Daniel P. Berrange (Resolves: #477148)

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.9.35-2
- Rebuild for Python 2.6

* Sat Jun  7 2008 Dan Horák <dan[at]danny.cz> 0.9.35-1
- update to upstream version 0.9.35

* Sat May 31 2008 Dan Horák <dan[at]danny.cz> 0.9.34-1
- update to upstream version 0.9.34

* Thu May 29 2008 Dan Horák <dan[at]danny.cz> 0.9.33-1
- update to upstream version 0.9.33

* Mon Apr 14 2008 Matěj Cepl <mcepl@redhat.com> 0.9.31-1
- update to upsteram version 0.9.31

* Sun Dec 23 2007 Dan Horak <dan[at]danny.cz> 0.9.30-1
- update to upstream version 0.9.30
- remove support for FC <= 6
- update the License tag

* Thu Oct 25 2007 Dan Horak <dan[at]danny.cz> 0.9.29-1
- update to upstream version 0.9.29 (fixes #349711)

* Sun Oct 14 2007 Dan Horak <dan[at]danny.cz> 0.9.28-5
- remove R: monotone (ppc), darcs (ppc64)
- remove ExcludeArch as it has no effect for noarch package

* Fri Jul 27 2007 Dan Horak <dan[at]danny.cz> 0.9.28-4
- exclude ppc64 because darcs cannot be build on ppc64 now (#249906)

* Thu Jun 28 2007 Dan Horak <dan[at]danny.cz> 0.9.28-3
- remove the shebang line from a non-excutable script

* Wed Jun 27 2007 Dan Horak <dan[at]danny.cz> 0.9.28-2
- disable running tests on installed package

* Sat Apr 28 2007 Dan Horak <dan[at]danny.cz> 0.9.28-1
- update to upstream version 0.9.28

* Wed Jan  3 2007 Dan Horak <dan[at]danny.cz> 0.9.27-1
- update to upstream version 0.9.27

* Sat Nov 11 2006 Dan Horak <dan[at]danny.cz> 0.9.26-1
- update to upstream version 0.9.26
- spec file based on atrpms
